using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFuelType {
        public BemsFuelType() {
            BemsDeviceRunHourlyCost = new HashSet<BemsDeviceRunHourlyCost>();
            BemsDeviceTypeUsingEnergy = new HashSet<BemsDeviceTypeUsingEnergy>();
            BemsEnergyDaily = new HashSet<BemsEnergyDaily>();
            BemsMeasureHistory = new HashSet<BemsMeasureHistory>();
            BemsMonitoringPoint = new HashSet<BemsMonitoringPoint>();
            BemsMonitoringPointBaseData = new HashSet<BemsMonitoringPointBaseData>();
            BemsNoticePrice = new HashSet<BemsNoticePrice>();
            BemsNoticePriceContractType = new HashSet<BemsNoticePriceContractType>();
            BemsPriceCode = new HashSet<BemsPriceCode>();
            BemsPriceType = new HashSet<BemsPriceType>();
            BemsSitePrice = new HashSet<BemsSitePrice>();
            BemsSitePriceHistory = new HashSet<BemsSitePriceHistory>();
            FmsEnergyAnalysis = new HashSet<FmsEnergyAnalysis>();
        }

        [Key]
        public short FuelTypeId { get; set; }
        [StringLength(48), Display(Name = "연료명")]
        public string Name { get; set; }

        [InverseProperty("FuelType")]
        public virtual BemsFactorCo2 BemsFactorCo2 { get; set; }
        [InverseProperty("FuelType")]
        public virtual BemsFactorToe BemsFactorToe { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsDeviceRunHourlyCost> BemsDeviceRunHourlyCost { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsDeviceTypeUsingEnergy> BemsDeviceTypeUsingEnergy { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsEnergyDaily> BemsEnergyDaily { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsMeasureHistory> BemsMeasureHistory { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsMonitoringPoint> BemsMonitoringPoint { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsMonitoringPointBaseData> BemsMonitoringPointBaseData { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsNoticePrice> BemsNoticePrice { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsNoticePriceContractType> BemsNoticePriceContractType { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsPriceCode> BemsPriceCode { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsPriceType> BemsPriceType { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsSitePrice> BemsSitePrice { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<BemsSitePriceHistory> BemsSitePriceHistory { get; set; }
        [InverseProperty("FuelType")]
        public virtual ICollection<FmsEnergyAnalysis> FmsEnergyAnalysis { get; set; }
    }
}
